---
title: dir2config
description: Dir2config est un outil en ligne de commande utilisé pour générer la configuration config.yaml acceptée par le Direktil Local Server. 
---

## Dkl-dir2config

Dir2config est un outil en ligne de commande utilisé pour générer la [configuration]({{< ref "configuration" >}}) *config.yaml* acceptée par le [Direktil Local Server]({{< ref "cli/dkl-local-server" >}}). 

Les sources peuvent être trouvées sur [le repository git de Direktil](https://novit.tech/direktil/local-server).

## Build

```
git clone git@novit.tech:direktil/local-server.git
cd local-server/cmd/dkl-dir2config
go build
```

## Usage

Ce outil s'utilise dans un dossier de configuration, et recherche à minima des dossiers *clusters* et *hosts* pour construire la configuration de ces derniers.

```bash
./dkl-dir2config

# Help
./dkl-dir2config -h
Usage of dkl-dir2config:
  -debug string
    	debug
  -in string
    	Source directory (default ".")
  -out string
    	Output file (default "config.yaml")
  -template-details-dir string
    	write details of template execute in this dir (default "/tmp/dkl-dir2config")
```

